Run of fresh-releases for python-lml

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
[2021-10-18 17:40:22] Opening branch at https://gitlab.com/kalilinux/packages/python-lml.git/,branch=kali%2Fmaster
[2021-10-18 17:40:23] Using cached branch https://janitor.kali.org/git/python-lml/,branch=kali%2Flatest
[2021-10-18 17:40:23] , done.
[2021-10-18 17:40:23] Total 2128 (delta 113), reused 2015 (delta 0)
[2021-10-18 17:40:26] Total 2029 (delta 346), reused 1683 (delta 0)
[2021-10-18 17:40:29] Total 3 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-10-18 17:40:32] Total 3 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-10-18 17:40:34] Total 3 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-10-18 17:40:34] Workspace ready - starting.
[2021-10-18 17:40:34] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-10-18 17:40:34] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/chfw/lml.git (from configuration)
Using version string 0.1.0.
No upstream upstream-revision format specified, trying tag:0.0.9
No upstream upstream-revision format specified, trying tag:python-lml-0.0.9
No upstream upstream-revision format specified, trying tag:v0.0.9
Not including upstream history, since previous upstream version (0.0.9) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
uupdate: debian/source/format is "3.0 (quilt)".
uupdate: Auto-generating python-lml_0.0.9-0kali2.debian.tar.xz
uupdate: -> Copy to      python-lml_0.1.0-1.debian.tar.xz
Revision b'git-v1:04e4ccdc967262a97d3dda80fff4a2f56337a47a' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:04e4ccdc967262a97d3dda80fff4a2f56337a47a' exists in repository but not in upstream branch, ignoring
Imported python-lml_0.1.0.orig.tar.gz with pristine-tar.
All changes applied successfully.
Found tag for topmost changelog version '3d2767d5473e4219f7133beb527a819de0ee734b'
Committing to: /home/janitor/tmp/janitorqi6hrybk/python-lml/
added .github
added .github/workflows
added .github/workflows/moban-update.yml
added .github/workflows/pythonpublish.yml
added .gitignore
added .gitmodules
added .isort.cfg
added .moban.d
added .moban.d/CUSTOM_README.rst.jj2
added .moban.d/custom_setup.py.jj2
added .moban.d/description.rst.jj2
added .moban.d/docs
added .moban.d/docs/source
added .moban.d/docs/source/custom_conf.py.jj2
added .moban.d/docs/source/custom_index.rst.jj2
added .moban.d/docs/source/myconf.py.jj2
added .moban.d/lml-enabled-projects.rst.jj2
added .moban.d/requirements.txt.jj2
added .moban.d/test.sh.jj2
added .moban.yml
added .travis.yml
modified CHANGELOG.rst
added CONTRIBUTORS.rst
modified MANIFEST.in
added Makefile
deleted PKG-INFO
modified README.rst
added changelog.yml
modified debian/changelog
added docs/requirements.txt
added docs/source/_static
added docs/source/_static/images
added docs/source/_static/images/loading_sequence.svg
added docs/source/_static/images/robot_chef.svg
added docs/source/_static/images/robotchef_allinone_lml.svg
added docs/source/_static/images/robotchef_api_crd.svg
added docs/source/_static/images/robotchef_crd.svg
modified docs/source/allinone_lml_tutorial.rst
modified docs/source/allinone_tutorial.rst
modified docs/source/api.rst
modified docs/source/api_tutorial.rst
modified docs/source/conf.py
modified docs/source/design.rst
modified docs/source/index.rst
modified docs/source/lml_log.rst
modified docs/source/lml_tutorial.rst
added docs/source/uml
added docs/source/uml/loading_sequence.uml
added docs/source/uml/robot_chef.uml
added docs/source/uml/robotchef_allinone_lml.uml
added docs/source/uml/robotchef_api_crd.uml
added docs/source/uml/robotchef_crd.uml
added examples
added examples/README.rst
deleted lml.egg-info
deleted lml.egg-info/PKG-INFO
deleted lml.egg-info/SOURCES.txt
deleted lml.egg-info/dependency_links.txt
deleted lml.egg-info/not-zip-safe
deleted lml.egg-info/top_level.txt
added lml.yml
modified lml/__init__.py
modified lml/_version.py
modified lml/loader.py
modified lml/plugin.py
modified lml/utils.py
added requirements.txt
added rnd_requirements.txt
modified setup.cfg
modified setup.py
added test.sh
added tests/__init__.py
modified tests/requirements.txt
modified tests/sample_plugin/sample_plugin/__init__.py
modified tests/test_plugin/pyexcel_test/__init__.py
modified tests/test_plugin_info.py
modified tests/test_plugin_loader.py
modified tests/test_plugin_manager.py
modified tests/test_utils.py
Committed revision 12.
Merged new upstream version 0.1.0 (previous: 0.0.9)
Merge new upstream version 0.1.0
[2021-10-18 17:41:21] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-10-18 17:41:21] Opened schroot session kali-dev-amd64-sbuild-89d1516e-65ff-429c-957a-03ae43d3025b (from kali-dev-amd64-sbuild)
[2021-10-18 17:41:21] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f10838497b8>, [functools.partial(<function python_tie_breaker at 0x7f1097601598>, <GitWorkingTree of /home/janitor/tmp/janitorqi6hrybk/python-lml>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-89d1516e-65ff-429c-957a-03ae43d3025b'), <function popcon_tie_breaker at 0x7f108383c1e0>]))]
[2021-10-18 17:41:21] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-10-18 17:46:47] Attempting to use fixer upstream requirement fixer(apt) to address MissingPythonDistribution('nose', python_version=3, minimum_version=None)
[2021-10-18 17:46:47] Loading apt contents information
[2021-10-18 17:47:14] Adding build dependency: python3-nose
[2021-10-18 17:47:20] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-10-18 17:52:33] Attempting to use fixer upstream requirement fixer(apt) to address MissingPythonModule('mock', python_version=3, minimum_version=None)
[2021-10-18 17:52:44] Adding build dependency: python3-mock
[2021-10-18 17:52:50] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-10-18 17:58:11] Attempting to use fixer upstream requirement fixer(apt) to address MissingPythonModule('pytest', python_version=3, minimum_version=None)
[2021-10-18 17:58:22] Need to break tie between [AptRequirement.from_str('python3-pytest'), AptRequirement.from_str('python3-pytest-pylint')] with [functools.partial(<function python_tie_breaker at 0x7f1097601598>, <GitWorkingTree of /home/janitor/tmp/janitorqi6hrybk/python-lml>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-89d1516e-65ff-429c-957a-03ae43d3025b'), <function popcon_tie_breaker at 0x7f108383c1e0>]
[2021-10-18 17:58:22] Breaking tie between ['apt requirement: python3-pytest', 'apt requirement: python3-pytest-pylint'] to 'apt requirement: python3-pytest', since package already has 'python3' build-dependencies
[2021-10-18 17:58:22] Adding build dependency: python3-pytest
[2021-10-18 17:58:28] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-10-18 18:04:08] Attempting to use fixer upstream requirement fixer(apt) to address MissingPythonModule('pyexcel_test', python_version=3, minimum_version=None)
[2021-10-18 18:04:19] Failed to resolve error MissingPythonModule('pyexcel_test', python_version=3, minimum_version=None). Giving up.
Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitorqi6hrybk']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 374, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 562, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 301, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 244, in build_once
    sbuild_failure.description)
ognibuild.debian.build.DetailedDebianBuildFailure: ('build', ('build',), None, ['sbuild', '-Asv', '--dpkg-file-suffix=+jan', '--force-orig-source', '--source-only-changes'], MissingPythonModule('pyexcel_test', python_version=3, minimum_version=None), 'Missing python 3 module: pyexcel_test')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 913, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 696, in process_package
    ws, subpath, output_directory, env)
  File "/opt/debian-janitor/janitor/worker.py", line 397, in build
    from .debian.missing_deps import resolve_requirement
  File "/opt/debian-janitor/janitor/debian/missing_deps.py", line 25, in <module>
    from lintian_brush.debianize import find_upstream, UpstreamInfo
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debianize.py", line 105, in <module>
    from .debhelper import (
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debhelper.py", line 21, in <module>
    from functools import cache
ImportError: cannot import name 'cache' from 'functools' (/usr/lib/python3.7/functools.py)
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 1e7f6545-fe60-4dbb-8212-95d56fe1beab is working
  • ☑ merge proposals for previous run were not rejected: status.